Autor Tema: [RESPONDIDO] Error en Huarpe al actualizar a 1.5.0  (Leído 91 veces)

0 Usuarios y 1 Visitante están viendo este tema.

dquiroga

  • Full Member
  • ***
  • Mensajes: 147
    • Ver Perfil
  • Institución: UNSL - UNViMe
  • Nombre y apellido: Diego F. Quiroga
  • Sistema: Guarani, ComDoc, Mapuche, Pilaga, Diaguita
  • Teléfono laboral: 266-4424027 int 160
[RESPONDIDO] Error en Huarpe al actualizar a 1.5.0
« on: Junio 27, 2022, 12:48:29 pm »
Hola!
Actualizamos la versión EEI a la 1.5.0. Sudocu y el resto de las aplicaciones funcionan ok, el IDP ok (login, logout, etc todo ok) ... pero en Huarpe, se pierden los estilos y la pagina queda toda desconfigurada. En donde parece que quisiera dibujar las aplicaciones que tiene el usuario, aparece la leyenda:

Ups!... Disculpe, hubo un problema cargando este bloque.

... en la consola del navegador, da error que no puede cargar un estiilo https://sudocu2vz.unsl.edu.ar/build/main_css.1faab67e.css ... y otra cadena de errores.

En los logs no muestra absolutamente ningun error. Lo que sospechamos es que huarpe no se esta comunicando con el api de usuarios... que no este tomando bien los cambios en las variables de entorno, etc.    ¿como puedo verificar esto?

En la doc de expedientes, habla de los cambios de variables (https://expedientes.siu.edu.ar/docs/1.3-to-1.4/#actualizar-variables) pero la verdad no me queda muy claro que es lo que hay que cambiar... los nombres que figuran en la doc de huarpe (https://documentacion.siu.edu.ar/huarpe/docs/deploy/env/) no los veo reflejados en los archivos. Por ejemplo, en la doc huarpe habla de una variable API_USUARIOS_PASS pero en huarpe.env esta  API_USUARIOS_PASS_FILE ... por otro lado, esta creado en docker el secret huarpe_usuarios_pass , que parece lo usa en huarpe.yml ... pero no me queda muy claro que mapea en que y si finalmente huarpe lo esta tomando.

Se agradece cualquier ayuda.
Saludos!

« Última Modificación: Julio 05, 2022, 09:38:12 am por Alejandro Schvindtt »

Federico Rodriguez Matiz

  • Moderador
  • *****
  • Mensajes: 18
    • Ver Perfil
    • Email
  • Institución: SIU
  • Sistema: SUDOCU
  • Utilizo algun sistéma del SIU: Sí
Re:Error en Huarpe al actualizar a 1.5.0
« Respuesta #1 on: Junio 28, 2022, 01:35:46 pm »
Hola!
Fijate en este post:
https://foro.comunidad.siu.edu.ar/index.php?topic=24108.msg109481#msg109481

Con eso deberías poder resolver tu problema.

Saludos

dquiroga

  • Full Member
  • ***
  • Mensajes: 147
    • Ver Perfil
  • Institución: UNSL - UNViMe
  • Nombre y apellido: Diego F. Quiroga
  • Sistema: Guarani, ComDoc, Mapuche, Pilaga, Diaguita
  • Teléfono laboral: 266-4424027 int 160
Re:Error en Huarpe al actualizar a 1.5.0
« Respuesta #2 on: Julio 05, 2022, 08:29:56 am »
Hola Federico!
Si, efectivamente era eso que se comenta en el post. Nos faltaba el  /build en el label para traefik.  Se ve que cuando hicimos el merge con el upstream, resolvimos algunos conflictos a mano y ahi lo sacamos por error.
Quedo solucionado.
Muchas gracias!